org.eclipse.actf.visualization.eval.problem

## Class HighlightTargetSourceInfo

- java.lang.Object
- - org.eclipse.actf.visualization.eval.problem.HighlightTargetSourceInfo

    public class HighlightTargetSourceInfo
    extends Object

The class to store information to highlight HTML source

See Also:
  `Html2ViewMapData`

### Constructor Summary

Constructors
Constructor and Description
`HighlightTargetSourceInfo(Html2ViewMapData start, Html2ViewMapData end)` Constructor of the class

### Method Summary

Methods
`int` `getEndColumn()`
`int` `getEndLine()`
`int` `getStartColumn()`
`int` `getStartLine()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HighlightTargetSourceInfo

    public HighlightTargetSourceInfo(Html2ViewMapData start,
                             Html2ViewMapData end)

Constructor of the class

Parameters:
  `start` - target start position information
  `end` - target end position information

### Method Detail

#### getStartLine

    public int getStartLine()

Returns:
  start position (line) of target tag

#### getStartColumn

    public int getStartColumn()

Returns:
  start position (column) of target tag

#### getEndLine

    public int getEndLine()

Returns:
  end pisition (line) of target tag

#### getEndColumn

    public int getEndColumn()

Returns:
  end position (column) of target tag